package com.xunmei.core.edu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunmei.common.core.domain.edu.domain.SysKnowledge;

import java.util.List;


/**
 * 知识库标签Mapper接口
 *
 * @author xunmei
 * @date 2023-08-21
 */
public interface SysKnowledgeMapper extends BaseMapper<SysKnowledge> {
    /**
     * 查询知识库标签
     *
     * @param id 知识库标签主键
     * @return 知识库标签
     */
    public SysKnowledge selectSysKnowledgeById(Long id);

    /**
     * 查询知识库标签列表
     *
     * @param sysKnowledge 知识库标签
     * @return 知识库标签集合
     */
    public List<SysKnowledge> selectSysKnowledgeList(SysKnowledge sysKnowledge);

    /**
     * 新增知识库标签
     *
     * @param sysKnowledge 知识库标签
     * @return 结果
     */
    public int insertSysKnowledge(SysKnowledge sysKnowledge);

    /**
     * 修改知识库标签
     *
     * @param sysKnowledge 知识库标签
     * @return 结果
     */
    public int updateSysKnowledge(SysKnowledge sysKnowledge);

    /**
     * 删除知识库标签
     *
     * @param id 知识库标签主键
     * @return 结果
     */
    public int deleteSysKnowledgeById(Long id);

    /**
     * 批量删除知识库标签
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysKnowledgeByIds(Long[] ids);

    List<SysKnowledge> dataList();

}
